/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BIND4_PROG_SKEL_H__
#define __BIND4_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bind4_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *bind_v4_prog;
	} progs;
	struct {
		struct bpf_link *bind_v4_prog;
	} links;

#ifdef __cplusplus
	static inline struct bind4_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bind4_prog *open_and_load();
	static inline int load(struct bind4_prog *skel);
	static inline int attach(struct bind4_prog *skel);
	static inline void detach(struct bind4_prog *skel);
	static inline void destroy(struct bind4_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bind4_prog__destroy(struct bind4_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bind4_prog__create_skeleton(struct bind4_prog *obj);

static inline struct bind4_prog *
bind4_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bind4_prog *obj;
	int err;

	obj = (struct bind4_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bind4_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bind4_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bind4_prog *
bind4_prog__open(void)
{
	return bind4_prog__open_opts(NULL);
}

static inline int
bind4_prog__load(struct bind4_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bind4_prog *
bind4_prog__open_and_load(void)
{
	struct bind4_prog *obj;
	int err;

	obj = bind4_prog__open();
	if (!obj)
		return NULL;
	err = bind4_prog__load(obj);
	if (err) {
		bind4_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bind4_prog__attach(struct bind4_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bind4_prog__detach(struct bind4_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bind4_prog__elf_bytes(size_t *sz);

static inline int
bind4_prog__create_skeleton(struct bind4_prog *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bind4_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = ".rodata.str1.1";
	s->maps[0].map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bind_v4_prog";
	s->progs[0].prog = &obj->progs.bind_v4_prog;
	s->progs[0].link = &obj->links.bind_v4_prog;

	s->data = bind4_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bind4_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x18\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x62\x69\x6e\x64\x34\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\x62\
\x69\x6e\x64\x34\x5f\x70\x72\x6f\x67\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\x33\0\
\x62\x69\x6e\x64\x5f\x74\x6f\x5f\x64\x65\x76\x69\x63\x65\0\x6d\x69\x73\x63\x5f\
\x6f\x70\x74\x73\0\x62\x69\x6e\x64\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\
\x4c\x42\x42\x31\x5f\x31\x31\0\x4c\x42\x42\x32\x5f\x37\0\x4c\x42\x42\x33\x5f\
\x39\0\x4c\x42\x42\x33\x5f\x36\0\x4c\x42\x42\x33\x5f\x38\0\x62\x69\x6e\x64\x5f\
\x76\x34\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x63\x67\x72\x6f\x75\x70\x2f\x62\x69\x6e\x64\x34\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x3b\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x04\0\0\0\0\0\0\x01\xe8\0\0\0\0\0\0\0\0\0\0\
\0\x50\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa8\0\0\0\x5f\x02\0\0\x03\0\
\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\x01\x58\0\0\0\x69\x02\0\0\x03\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x01\x68\0\0\0\x78\0\0\0\x03\0\0\0\0\0\0\x02\x98\0\0\0\0\0\0\0\0\0\
\0\0\x80\0\0\0\x03\0\0\0\0\0\0\x03\xf0\0\0\0\0\0\0\0\0\0\0\0\x87\0\0\0\x03\0\0\
\0\0\0\0\x05\x58\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x03\0\0\0\0\0\0\x05\x38\0\0\0\
\0\0\0\0\0\0\0\0\x95\0\0\0\x03\0\0\0\0\0\0\x05\x50\0\0\0\0\0\0\0\0\0\0\0\x9c\
\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xf0\0\0\0\xa9\x11\0\0\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x61\0\0\0\0\0\0\x18\x10\0\0\x64\x72\x31\0\0\0\0\
\0\x6b\x5f\x61\x64\x7b\xa1\xff\xf8\0\0\0\0\x18\x10\0\0\x5f\x73\x6f\x63\0\0\0\0\
\x74\x65\x73\x74\x7b\xa1\xff\xf0\0\0\0\0\x18\x20\0\0\x64\x72\x32\0\0\0\0\0\x6b\
\x5f\x61\x64\x7b\xa2\xff\xe8\0\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\x18\x10\0\0\x64\
\x65\x76\0\0\0\0\0\x65\x6e\x74\x5f\x7b\xa1\xff\xd8\0\0\0\0\x18\x10\0\0\x78\x69\
\x73\x74\0\0\0\0\x6e\x6f\x6e\x65\x7b\xa1\xff\xd0\0\0\0\0\x7a\xa0\xff\xc8\0\0\0\
\0\x7a\xa0\xff\xc0\0\0\0\0\xb4\x70\0\0\0\0\0\x01\xbf\x4a\0\0\0\0\0\0\x07\x40\0\
\0\xff\xff\xff\xf0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xb4\x30\0\0\0\0\0\
\x19\xb4\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x31\x55\0\0\x37\0\0\0\0\xbf\x4a\0\0\
\0\0\0\0\x07\x40\0\0\xff\xff\xff\xbc\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\
\xb4\x30\0\0\0\0\0\x3e\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x39\x55\0\0\x2f\0\
\0\0\0\x61\x1a\xff\xbc\0\0\0\0\x16\x10\0\x2d\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\
\x40\0\0\xff\xff\xff\xe0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xb4\x30\0\0\
\0\0\0\x19\xb4\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x31\x55\0\0\x25\0\0\0\0\xbf\
\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xb8\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\
\0\0\x01\xb4\x30\0\0\0\0\0\x3e\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x39\x55\0\
\0\x1d\0\0\0\0\x61\x1a\xff\xb8\0\0\0\0\x16\x10\0\x1b\0\0\0\0\x61\x2a\xff\xbc\0\
\0\0\0\x1e\x21\0\x19\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xd0\
\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xb4\x30\0\0\0\0\0\x19\xb4\x50\0\0\0\
\0\0\x10\x85\0\0\0\0\0\0\x31\x55\0\0\x11\xff\xff\xff\xed\xbf\x4a\0\0\0\0\0\0\
\x07\x40\0\0\xff\xff\xff\xbc\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xb4\x30\
\0\0\0\0\0\x3e\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x31\x55\0\0\x09\0\0\0\0\
\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xc0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\
\0\0\0\0\x01\xb4\x30\0\0\0\0\0\x19\xb4\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x31\
\x55\0\0\x01\0\0\0\0\xb4\x70\0\0\0\0\0\0\xbc\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbc\x72\0\0\0\0\0\0\xbf\x81\0\0\0\0\0\0\x62\xa0\xff\xf4\0\0\xeb\x9f\xb4\x60\0\
\0\0\0\0\x01\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xfc\xb4\x20\0\0\0\0\0\
\x01\xbc\x37\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x39\x55\0\0\x1e\
\0\0\0\0\x61\x1a\xff\xfc\0\0\0\0\x16\x10\0\x1c\0\0\xeb\x9f\xbf\x4a\0\0\0\0\0\0\
\x07\x40\0\0\xff\xff\xff\xf4\xbf\x18\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xbc\x37\
\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x31\x55\0\0\x14\0\0\0\0\xbf\
\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xf8\xbf\x18\0\0\0\0\0\0\xb4\x20\0\0\0\
\0\0\x01\xbc\x37\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x39\x55\0\0\
\x0c\0\0\0\0\x61\x1a\xff\xf4\0\0\0\0\x61\x2a\xff\xf8\0\0\0\0\x5e\x21\0\x09\0\0\
\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xfc\xbf\x18\0\0\0\0\0\0\xb4\
\x20\0\0\0\0\0\x01\xbc\x37\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\
\x31\x55\0\0\x01\0\0\0\0\xb4\x60\0\0\0\0\0\0\xbc\x06\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbf\x71\0\0\0\0\0\0\x62\xa0\xff\xfc\0\0\0\x01\xb4\x60\0\0\0\0\0\x01\xbf\
\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xfc\xb4\x20\0\0\0\0\0\x01\xb4\x30\0\0\
\0\0\0\x0f\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x31\x55\0\0\x21\0\0\0\0\xbf\
\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xfc\xbf\x17\0\0\0\0\0\0\xb4\x20\0\0\0\
\0\0\x01\xb4\x30\0\0\0\0\0\x0f\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x39\x55\0\
\0\x19\0\0\0\0\x61\x1a\xff\xfc\0\0\0\0\x16\x10\0\x17\0\0\0\0\x62\xa0\xff\xfc\0\
\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xfc\xbf\x17\0\0\0\0\0\0\xb4\
\x20\0\0\0\0\0\x01\xb4\x30\0\0\0\0\0\x0f\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\
\x31\x55\0\0\x0e\0\0\0\0\xb4\x80\0\0\0\0\0\x01\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\
\xff\xff\xff\xfc\xbf\x17\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\xb4\x30\0\0\0\0\0\
\x0f\xb4\x50\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x39\x55\0\0\x01\0\0\0\0\xb4\x60\0\0\
\0\0\0\0\x61\x1a\xff\xfc\0\0\0\0\x56\x10\0\x01\0\0\0\0\xb4\x80\0\0\0\0\0\0\x4c\
\x68\0\0\0\0\0\0\xbc\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x79\
\x21\0\x40\0\0\0\0\x15\x20\0\x3a\0\0\0\0\x61\x22\0\x04\0\0\0\0\x56\x20\0\x38\0\
\0\0\x02\x61\x21\0\x20\0\0\0\0\x04\x20\0\0\xff\xff\xff\xff\x26\x20\0\x35\0\0\0\
\x01\x61\x21\0\x04\0\0\0\0\x56\x20\0\x33\xc0\xa8\x01\xfe\x61\x21\0\x18\0\0\0\0\
\x56\x20\0\x31\0\0\x0f\xc8\x71\x21\0\x04\0\0\0\0\x71\x31\0\x05\0\0\0\0\x64\x30\
\0\0\0\0\0\x08\x4c\x32\0\0\0\0\0\0\x71\x21\0\x06\0\0\0\0\x64\x20\0\0\0\0\0\x10\
\x4c\x32\0\0\0\0\0\0\x71\x21\0\x07\0\0\0\0\x64\x20\0\0\0\0\0\x18\x4c\x32\0\0\0\
\0\0\0\x61\x21\0\x04\0\0\0\0\x5e\x23\0\x25\0\0\0\0\x71\x21\0\x18\0\0\0\0\x71\
\x31\0\x19\0\0\0\0\x64\x30\0\0\0\0\0\x08\x4c\x32\0\0\0\0\0\0\x61\x21\0\x18\0\0\
\0\0\x5e\x23\0\x1f\0\0\0\0\x69\x21\0\x04\0\0\0\0\x69\x31\0\x06\0\0\0\0\x64\x30\
\0\0\0\0\0\x10\x4c\x32\0\0\0\0\0\0\x61\x21\0\x04\0\0\0\0\x5e\x23\0\x19\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbc\x10\0\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x56\x10\0\x14\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x24\x85\
\x01\0\0\0\0\0\x54\xbc\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x56\x10\0\x0e\0\0\0\0\
\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x0c\x85\x01\0\0\0\0\0\x54\xbc\x10\0\0\0\
\0\0\0\xb4\0\0\0\0\0\0\0\x56\x10\0\x08\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\
\0\0\0\x7f\xbc\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x56\x10\0\x03\0\0\0\0\x62\x60\
\0\x18\0\0\x11\x5c\x62\x60\0\x04\x7f\0\0\x01\xb4\0\0\0\0\0\0\x01\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x31\
\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x32\0\x6e\x6f\x6e\
\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x64\x65\x76\0\0\0\0\0\0\0\0\0\0\0\x01\x28\
\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x01\x58\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x01\
\x88\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x01\xb0\0\0\0\x02\0\0\0\x0a\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x01\xc4\0\0\x01\xc4\0\0\x09\xb1\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\x01\x04\0\0\x0a\0\0\0\x48\0\0\0\x0f\0\0\0\x03\0\0\0\0\0\0\0\x1b\0\0\
\0\x03\0\0\0\x20\0\0\0\x24\0\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x03\0\0\0\xc0\0\
\0\0\x37\0\0\0\x03\0\0\0\xe0\0\0\0\x3e\0\0\0\x03\0\0\x01\0\0\0\0\x43\0\0\0\x03\
\0\0\x01\x20\0\0\0\x4c\0\0\0\x03\0\0\x01\x40\0\0\0\x58\0\0\0\x05\0\0\x01\x60\0\
\0\0\0\0\0\0\x07\0\0\x02\0\0\0\0\x64\x08\0\0\0\0\0\0\x04\0\0\0\x6a\x01\0\0\0\0\
\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\
\0\x77\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x8b\0\
\0\0\x08\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\0\x0d\0\0\x01\0\0\0\x0a\0\0\
\0\x8e\0\0\0\x01\0\0\0\x92\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x96\x0c\0\0\
\x01\0\0\0\x09\0\0\0\xa3\x0c\0\0\0\0\0\0\x09\0\0\0\0\x0d\0\0\x02\0\0\0\x0a\0\0\
\0\x8e\0\0\0\x01\0\0\0\xb2\0\0\0\x0a\0\0\0\xb6\x0c\0\0\0\0\0\0\x0d\0\0\0\xc0\
\x0c\0\0\0\0\0\0\x09\0\0\0\xcf\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\x06\0\0\0\x04\0\0\0\xd4\x0e\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\xdd\x07\0\0\0\0\0\0\0\0\0\x09\x96\x0f\0\0\x01\0\0\0\x04\0\0\0\x12\0\
\0\0\0\0\0\0\x04\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x75\
\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x73\x65\x72\x5f\x69\x70\x34\0\
\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\0\x66\
\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\
\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\
\x70\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x73\x6b\0\x63\x74\x78\0\x69\x6e\x74\0\x62\x69\x6e\x64\x5f\x76\x34\x5f\
\x70\x72\x6f\x67\0\x62\x69\x6e\x64\x5f\x74\x6f\x5f\x64\x65\x76\x69\x63\x65\0\
\x6f\x70\x74\0\x6d\x69\x73\x63\x5f\x6f\x70\x74\x73\0\x62\x69\x6e\x64\x5f\x72\
\x65\x75\x73\x65\x70\x6f\x72\x74\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x30\x33\x2e\x33\x33\x2e\x31\x2e\x65\
\x6c\x39\x5f\x35\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x30\x33\x2e\x33\x33\x2e\x31\x2e\x65\x6c\x39\x5f\x35\x2e\x73\x33\x39\x30\x78\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x69\x6e\
\x64\x34\x5f\x70\x72\x6f\x67\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x5f\x5f\x69\
\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x62\x69\x6e\x64\x5f\x74\x6f\x5f\x64\
\x65\x76\x69\x63\x65\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\x63\x68\x61\x72\x20\
\x76\x65\x74\x68\x31\x5b\x49\x46\x4e\x41\x4d\x53\x49\x5a\x5d\x20\x3d\x20\x22\
\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x31\x22\x3b\0\x09\x63\
\x68\x61\x72\x20\x76\x65\x74\x68\x32\x5b\x49\x46\x4e\x41\x4d\x53\x49\x5a\x5d\
\x20\x3d\x20\x22\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x32\
\x22\x3b\0\x09\x63\x68\x61\x72\x20\x6d\x69\x73\x73\x69\x6e\x67\x5b\x49\x46\x4e\
\x41\x4d\x53\x49\x5a\x5d\x20\x3d\x20\x22\x6e\x6f\x6e\x65\x78\x69\x73\x74\x65\
\x6e\x74\x5f\x64\x65\x76\x22\x3b\0\x09\x63\x68\x61\x72\x20\x64\x65\x6c\x5f\x62\
\x69\x6e\x64\x5b\x49\x46\x4e\x41\x4d\x53\x49\x5a\x5d\x20\x3d\x20\x22\x22\x3b\0\
\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\
\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x53\
\x4f\x5f\x42\x49\x4e\x44\x54\x4f\x44\x45\x56\x49\x43\x45\x2c\0\x09\x69\x66\x20\
\x28\x62\x70\x66\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\
\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x42\x49\
\x4e\x44\x54\x4f\x49\x46\x49\x4e\x44\x45\x58\x2c\0\x09\x09\x09\x20\x20\x20\x26\
\x76\x65\x74\x68\x31\x5f\x69\x64\x78\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\
\x65\x74\x68\x31\x5f\x69\x64\x78\x29\x29\x20\x7c\x7c\x20\x21\x76\x65\x74\x68\
\x31\x5f\x69\x64\x78\x29\0\x09\x09\x09\x20\x20\x20\x26\x76\x65\x74\x68\x32\x5f\
\x69\x64\x78\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x65\x74\x68\x32\x5f\x69\
\x64\x78\x29\x29\x20\x7c\x7c\x20\x21\x76\x65\x74\x68\x32\x5f\x69\x64\x78\x20\
\x7c\x7c\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\
\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\
\x20\x53\x4f\x5f\x42\x49\x4e\x44\x54\x4f\x49\x46\x49\x4e\x44\x45\x58\x2c\0\x7d\
\0\x73\x74\x61\x74\x69\x63\x20\x5f\x5f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\
\x20\x6d\x69\x73\x63\x5f\x6f\x70\x74\x73\x28\x73\x74\x72\x75\x63\x74\x20\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x2c\x20\
\x69\x6e\x74\x20\x6f\x70\x74\x29\0\x09\x69\x6e\x74\x20\x6f\x6c\x64\x2c\x20\x74\
\x6d\x70\x2c\x20\x6e\x65\x77\x20\x3d\x20\x30\x78\x65\x62\x39\x66\x3b\0\x09\x69\
\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\
\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x6f\x70\x74\
\x2c\x20\x26\x6f\x6c\x64\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6f\x6c\x64\x29\
\x29\x20\x7c\x7c\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\
\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\
\x54\x2c\x20\x6f\x70\x74\x2c\x20\x26\x6e\x65\x77\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x6e\x65\x77\x29\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\
\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\
\x4f\x43\x4b\x45\x54\x2c\x20\x6f\x70\x74\x2c\x20\x26\x74\x6d\x70\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x74\x6d\x70\x29\x29\x20\x7c\x7c\0\x09\x20\x20\x20\x20\
\x74\x6d\x70\x20\x21\x3d\x20\x6e\x65\x77\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\
\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\
\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x6f\x70\x74\x2c\x20\x26\x6f\x6c\x64\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6f\x6c\x64\x29\x29\x29\0\x73\x74\x61\x74\
\x69\x63\x20\x5f\x5f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x62\x69\x6e\
\x64\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x28\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\
\x09\x69\x6e\x74\x20\x76\x61\x6c\x20\x3d\x20\x31\x3b\0\x09\x69\x66\x20\x28\x62\
\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\
\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x52\x45\x55\x53\
\x45\x50\x4f\x52\x54\x2c\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x73\
\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\
\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\x2c\0\x09\
\x09\x09\x20\x20\x20\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\
\x61\x6c\x29\x29\x20\x7c\x7c\x20\x21\x76\x61\x6c\x29\0\x09\x76\x61\x6c\x20\x3d\
\x20\x30\x3b\0\x09\x09\x09\x20\x20\x20\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x76\x61\x6c\x29\x29\x20\x7c\x7c\x20\x76\x61\x6c\x29\0\x69\x6e\x74\
\x20\x62\x69\x6e\x64\x5f\x76\x34\x5f\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\
\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\
\x78\x29\0\x09\x73\x6b\x20\x3d\x20\x63\x74\x78\x2d\x3e\x73\x6b\x3b\0\x09\x69\
\x66\x20\x28\x21\x73\x6b\x29\0\x09\x69\x66\x20\x28\x73\x6b\x2d\x3e\x66\x61\x6d\
\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x29\0\x09\x69\x66\x20\
\x28\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\
\x53\x54\x52\x45\x41\x4d\x20\x26\x26\x20\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\
\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x44\x47\x52\x41\x4d\x29\0\x09\x69\x66\x20\
\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x20\x21\x3d\x20\x62\
\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x53\x45\x52\x56\x34\x5f\x49\x50\x29\x20\
\x7c\x7c\0\x09\x20\x20\x20\x20\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\
\x72\x74\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x53\x45\x52\
\x56\x34\x5f\x50\x4f\x52\x54\x29\x29\0\x09\x75\x73\x65\x72\x5f\x69\x70\x34\x20\
\x7c\x3d\x20\x28\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x5f\x5f\x75\x38\x20\
\x2a\x29\x26\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x29\x5b\x30\
\x5d\x20\x3c\x3c\x20\x30\x3b\0\x09\x75\x73\x65\x72\x5f\x69\x70\x34\x20\x7c\x3d\
\x20\x28\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x5f\x5f\x75\x38\x20\x2a\x29\
\x26\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x29\x5b\x31\x5d\x20\
\x3c\x3c\x20\x38\x3b\0\x09\x75\x73\x65\x72\x5f\x69\x70\x34\x20\x7c\x3d\x20\x28\
\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x5f\x5f\x75\x38\x20\x2a\x29\x26\x63\
\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x29\x5b\x32\x5d\x20\x3c\x3c\
\x20\x31\x36\x3b\0\x09\x75\x73\x65\x72\x5f\x69\x70\x34\x20\x7c\x3d\x20\x28\x28\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x5f\x5f\x75\x38\x20\x2a\x29\x26\x63\x74\
\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x29\x5b\x33\x5d\x20\x3c\x3c\x20\
\x32\x34\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\
\x70\x34\x20\x21\x3d\x20\x75\x73\x65\x72\x5f\x69\x70\x34\x29\0\x09\x75\x73\x65\
\x72\x5f\x70\x6f\x72\x74\x20\x7c\x3d\x20\x28\x28\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x5f\x5f\x75\x38\x20\x2a\x29\x26\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\
\x5f\x70\x6f\x72\x74\x29\x5b\x30\x5d\x20\x3c\x3c\x20\x30\x3b\0\x09\x75\x73\x65\
\x72\x5f\x70\x6f\x72\x74\x20\x7c\x3d\x20\x28\x28\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x5f\x5f\x75\x38\x20\x2a\x29\x26\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\
\x5f\x70\x6f\x72\x74\x29\x5b\x31\x5d\x20\x3c\x3c\x20\x38\x3b\0\x09\x69\x66\x20\
\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x21\x3d\x20\
\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x29\0\x09\x75\x73\x65\x72\x5f\x69\x70\x34\
\x20\x7c\x3d\x20\x28\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x5f\x5f\x75\x31\
\x36\x20\x2a\x29\x26\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x29\
\x5b\x30\x5d\x20\x3c\x3c\x20\x30\x3b\0\x09\x75\x73\x65\x72\x5f\x69\x70\x34\x20\
\x7c\x3d\x20\x28\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x5f\x5f\x75\x31\x36\
\x20\x2a\x29\x26\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x29\x5b\
\x31\x5d\x20\x3c\x3c\x20\x31\x36\x3b\0\x09\x69\x66\x20\x28\x62\x69\x6e\x64\x5f\
\x74\x6f\x5f\x64\x65\x76\x69\x63\x65\x28\x63\x74\x78\x29\x29\0\x09\x69\x66\x20\
\x28\x6d\x69\x73\x63\x5f\x6f\x70\x74\x73\x28\x63\x74\x78\x2c\x20\x53\x4f\x5f\
\x4d\x41\x52\x4b\x29\x20\x7c\x7c\x20\x6d\x69\x73\x63\x5f\x6f\x70\x74\x73\x28\
\x63\x74\x78\x2c\x20\x53\x4f\x5f\x50\x52\x49\x4f\x52\x49\x54\x59\x29\x29\0\x09\
\x69\x66\x20\x28\x62\x69\x6e\x64\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x28\
\x63\x74\x78\x29\x29\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\
\x74\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x53\x45\x52\x56\x34\
\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x50\x4f\x52\x54\x29\x3b\0\x09\x63\x74\x78\
\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x34\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\
\x6f\x6e\x6c\x28\x53\x45\x52\x56\x34\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x49\
\x50\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x63\x67\x72\
\x6f\x75\x70\x2f\x62\x69\x6e\x64\x34\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\
\0\0\x34\0\0\0\x34\0\0\x05\xe4\0\0\x06\x18\0\0\0\0\0\0\0\x08\0\0\x09\x9e\0\0\0\
\x03\0\0\0\0\0\0\0\x0c\0\0\x02\xa8\0\0\0\x0e\0\0\x04\0\0\0\0\x0f\0\0\x09\xa4\0\
\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\x10\0\0\x09\x9e\0\0\0\x2f\0\0\0\0\0\0\0\xe6\0\
\0\x01\x6a\0\0\x60\0\0\0\0\x18\0\0\0\xe6\0\0\x01\xa8\0\0\x68\x07\0\0\0\x48\0\0\
\0\xe6\0\0\x01\xd3\0\0\x6c\x07\0\0\0\x68\0\0\0\xe6\0\0\x01\xfe\0\0\x70\x07\0\0\
\0\x88\0\0\0\xe6\0\0\x02\x2b\0\0\x74\x07\0\0\0\xa8\0\0\0\xe6\0\0\0\0\0\0\0\0\0\
\0\0\xb0\0\0\0\xe6\0\0\x02\x4a\0\0\x80\x06\0\0\0\xd8\0\0\0\xe6\0\0\x02\x4a\0\0\
\x80\x06\0\0\0\xe8\0\0\0\xe6\0\0\x02\x80\0\0\x8c\x06\0\0\x01\x18\0\0\0\xe6\0\0\
\x02\xb7\0\0\x90\x26\0\0\x01\x38\0\0\0\xe6\0\0\x02\x4a\0\0\x98\x06\0\0\x01\x68\
\0\0\0\xe6\0\0\x02\x4a\0\0\x98\x06\0\0\x01\x78\0\0\0\xe6\0\0\x02\x80\0\0\xa4\
\x06\0\0\x01\xa8\0\0\0\xe6\0\0\x02\xeb\0\0\xa8\x26\0\0\x01\xd8\0\0\0\xe6\0\0\
\x02\x4a\0\0\xb4\x06\0\0\x02\x08\0\0\0\xe6\0\0\x02\x4a\0\0\xb4\x06\0\0\x02\x18\
\0\0\0\xe6\0\0\x03\x21\0\0\xc0\x06\0\0\x02\x48\0\0\0\xe6\0\0\x03\x21\0\0\xc0\
\x06\0\0\x02\x58\0\0\0\xe6\0\0\x02\x4a\0\0\xcc\x06\0\0\x02\x98\0\0\0\xe6\0\0\
\x03\x58\0\0\xe0\x01\0\0\x02\xa8\0\0\0\xe6\0\0\x03\x5a\0\x01\x3c\0\0\0\x02\xb8\
\0\0\0\xe6\0\0\x03\x9c\0\x01\x44\x10\0\0\x02\xd0\0\0\0\xe6\0\0\0\0\0\0\0\0\0\0\
\x02\xd8\0\0\0\xe6\0\0\x03\xb9\0\x01\x50\x06\0\0\x02\xf8\0\0\0\xe6\0\0\x03\xb9\
\0\x01\x50\x3e\0\0\x03\x18\0\0\0\xe6\0\0\x03\xf9\0\x01\x5c\x06\0\0\x03\x48\0\0\
\0\xe6\0\0\x03\xf9\0\x01\x5c\x06\0\0\x03\x58\0\0\0\xe6\0\0\x04\x37\0\x01\x64\
\x06\0\0\x03\x88\0\0\0\xe6\0\0\x04\x37\0\x01\x64\x3e\0\0\x03\x90\0\0\0\xe6\0\0\
\x04\x77\0\x01\x68\x0d\0\0\x03\x98\0\0\0\xe6\0\0\x04\x77\0\x01\x68\x06\0\0\x03\
\xa0\0\0\0\xe6\0\0\x04\x37\0\x01\x64\x06\0\0\x03\xb0\0\0\0\xe6\0\0\x04\x88\0\
\x01\x70\x06\0\0\x03\xf0\0\0\0\xe6\0\0\x03\x58\0\x01\x80\x01\0\0\x04\0\0\0\0\
\xe6\0\0\x04\xc6\0\0\xe8\0\0\0\x04\x08\0\0\0\xe6\0\0\x05\x04\0\0\xf0\x06\0\0\
\x04\x20\0\0\0\xe6\0\0\0\0\0\0\0\0\0\0\x04\x28\0\0\0\xe6\0\0\x05\x12\0\0\xf8\
\x06\0\0\x04\x48\0\0\0\xe6\0\0\x05\x12\0\0\xf8\x06\0\0\x04\x58\0\0\0\xe6\0\0\
\x05\x45\0\x01\x04\x06\0\0\x04\x88\0\0\0\xe6\0\0\x05\x78\0\x01\x08\x1a\0\0\x04\
\xa0\0\0\0\xe6\0\0\x05\x9a\0\x01\x10\x06\0\0\x04\xb8\0\0\0\xe6\0\0\x05\x12\0\
\x01\x14\x06\0\0\x04\xe0\0\0\0\xe6\0\0\x05\x12\0\x01\x14\x06\0\0\x04\xf8\0\0\0\
\xe6\0\0\x05\x45\0\x01\x20\x06\0\0\x05\x50\0\0\0\xe6\0\0\x05\xa4\0\x01\x24\x1a\
\0\0\x05\x58\0\0\0\xe6\0\0\x03\x58\0\x01\x34\x01\0\0\x09\xa4\0\0\0\x2e\0\0\0\0\
\0\0\0\xe6\0\0\x05\xc5\0\x01\x8c\0\0\0\0\x08\0\0\0\xe6\0\0\x05\xf1\0\x01\xa4\
\x0c\0\0\0\x10\0\0\0\xe6\0\0\x06\0\0\x01\xa8\x06\0\0\0\x18\0\0\0\xe6\0\0\x06\
\x0a\0\x01\xb4\x0a\0\0\0\x20\0\0\0\xe6\0\0\x06\x0a\0\x01\xb4\x06\0\0\0\x28\0\0\
\0\xe6\0\0\x06\x26\0\x01\xc0\x0b\0\0\0\x30\0\0\0\xe6\0\0\x06\x26\0\x01\xc0\x1f\
\0\0\0\x40\0\0\0\xe6\0\0\x06\x60\0\x01\xcc\x0b\0\0\0\x48\0\0\0\xe6\0\0\x06\x60\
\0\x01\xcc\x2b\0\0\0\x50\0\0\0\xe6\0\0\x06\x8d\0\x01\xd0\x0b\0\0\0\x58\0\0\0\
\xe6\0\0\x06\x60\0\x01\xcc\x06\0\0\0\x60\0\0\0\xe6\0\0\x06\xbb\0\x01\xe4\x0e\0\
\0\0\x68\0\0\0\xe6\0\0\x06\xf3\0\x01\xe8\x0e\0\0\0\x70\0\0\0\xe6\0\0\x06\xf3\0\
\x01\xe8\x33\0\0\0\x78\0\0\0\xe6\0\0\x06\xf3\0\x01\xe8\x0b\0\0\0\x80\0\0\0\xe6\
\0\0\x07\x2b\0\x01\xec\x0e\0\0\0\x88\0\0\0\xe6\0\0\x07\x2b\0\x01\xec\x33\0\0\0\
\x90\0\0\0\xe6\0\0\x07\x2b\0\x01\xec\x0b\0\0\0\x98\0\0\0\xe6\0\0\x07\x64\0\x01\
\xf0\x0e\0\0\0\xa0\0\0\0\xe6\0\0\x07\x64\0\x01\xf0\x33\0\0\0\xa8\0\0\0\xe6\0\0\
\x07\x64\0\x01\xf0\x0b\0\0\0\xb0\0\0\0\xe6\0\0\x07\x9d\0\x01\xf4\x0b\0\0\0\xb8\
\0\0\0\xe6\0\0\x07\x9d\0\x01\xf4\x06\0\0\0\xc0\0\0\0\xe6\0\0\x07\xbd\0\x02\x04\
\x0f\0\0\0\xc8\0\0\0\xe6\0\0\x07\xf7\0\x02\x08\x0f\0\0\0\xd0\0\0\0\xe6\0\0\x07\
\xf7\0\x02\x08\x35\0\0\0\xd8\0\0\0\xe6\0\0\x07\xf7\0\x02\x08\x0c\0\0\0\xe0\0\0\
\0\xe6\0\0\x08\x31\0\x02\x0c\x0b\0\0\0\xe8\0\0\0\xe6\0\0\x08\x31\0\x02\x0c\x06\
\0\0\0\xf0\0\0\0\xe6\0\0\x08\x53\0\x02\x20\x0e\0\0\0\xf8\0\0\0\xe6\0\0\x08\x8c\
\0\x02\x24\x0e\0\0\x01\0\0\0\0\xe6\0\0\x08\x8c\0\x02\x24\x34\0\0\x01\x08\0\0\0\
\xe6\0\0\x08\x8c\0\x02\x24\x0b\0\0\x01\x10\0\0\0\xe6\0\0\x07\x9d\0\x02\x28\x0b\
\0\0\x01\x18\0\0\0\xe6\0\0\x07\x9d\0\x02\x28\x06\0\0\x01\x28\0\0\0\xe6\0\0\x08\
\xc6\0\x02\x38\x06\0\0\x01\x40\0\0\0\xe6\0\0\x08\xc6\0\x02\x38\x06\0\0\x01\x48\
\0\0\0\xe6\0\0\x08\xe0\0\x02\x48\x06\0\0\x01\x70\0\0\0\xe6\0\0\x08\xe0\0\x02\
\x48\x1e\0\0\x01\x78\0\0\0\xe6\0\0\x08\xe0\0\x02\x48\x21\0\0\x01\xa0\0\0\0\xe6\
\0\0\x08\xe0\0\x02\x48\x06\0\0\x01\xa8\0\0\0\xe6\0\0\x09\x1d\0\x02\x58\x06\0\0\
\x01\xc8\0\0\0\xe6\0\0\x09\x1d\0\x02\x58\x06\0\0\x01\xd0\0\0\0\xe6\0\0\x09\x37\
\0\x02\x68\x11\0\0\x01\xd8\0\0\0\xe6\0\0\x09\x68\0\x02\x64\x10\0\0\x01\xe8\0\0\
\0\xe6\0\0\x03\x58\0\x02\x74\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xd1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\x01\
\x68\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x80\0\0\0\0\0\0\x05\x68\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xe8\0\0\0\0\0\0\x01\xf0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\xd8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\xdc\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x01\0\0\0\xb2\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\
\x10\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\xc3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x50\0\0\0\
\0\0\0\x0b\x8d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\xe0\0\0\0\0\0\0\x06\x38\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bind4_prog *bind4_prog::open(const struct bpf_object_open_opts *opts) { return bind4_prog__open_opts(opts); }
struct bind4_prog *bind4_prog::open_and_load() { return bind4_prog__open_and_load(); }
int bind4_prog::load(struct bind4_prog *skel) { return bind4_prog__load(skel); }
int bind4_prog::attach(struct bind4_prog *skel) { return bind4_prog__attach(skel); }
void bind4_prog::detach(struct bind4_prog *skel) { bind4_prog__detach(skel); }
void bind4_prog::destroy(struct bind4_prog *skel) { bind4_prog__destroy(skel); }
const void *bind4_prog::elf_bytes(size_t *sz) { return bind4_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bind4_prog__assert(struct bind4_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BIND4_PROG_SKEL_H__ */
